import java.util.ArrayList;
import java.util.List;

public class Animator {
	private List<Sprite> sprites = new ArrayList<Sprite>();

	public void add(Sprite sprite) {
		sprites.add(sprite);
	}

	public void clock(int width, int height, Painter painter) {
		for (Sprite sprite : sprites) {
			sprite.paint(painter);
			sprite.move(0, 0, width, height); // added 0, 0 for task 3
		}
	}

	public void clock(Painter painter) {
		clock(10000, 100000, painter);
	}
}
