import javax.swing.*;
import java.awt.*;

/**
 * Added for Task 1
 */
public class ImageShape extends Shape {

    Image image;

    /**
     * This constructor takes an ImageIcon to ensure that image has been loaded!
     *
     * @param x
     * @param y
     * @param motion
     * @param imageIcon the image to be drawn
     */
    public ImageShape(int x, int y, Motion motion, ImageIcon imageIcon) {

        super(x,  y,
                imageIcon.getImage().getWidth(null),
                imageIcon.getImage().getHeight(null),
                motion);

        this.image = imageIcon.getImage();
    }

    public void paint(Painter painter) {
        painter.drawImage(getX(),getY(), image);
    }
}
