import java.awt.*;

public abstract class Shape implements Sprite {

    // Removed for Task 1
    //protected static final int HEIGHT = 35;

    // Removed for Task 1
    //protected static final int WIDTH = 25;

    //Added for Task 1
    private int width = 25;

    //Added for Task 1
    private int height = 35;

    protected int x;

    protected int y;

    protected Motion motion; // added for Task 4

    public Shape(int x, int y, Motion motion) {  // changed for Task 4
        this(x,y,25,35, motion); // changed for Task 4
    }

    public Shape(int x, int y, int width, int height, Motion motion) {
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
        this.motion = motion;
    }

    // added for Task 4
    public void setMotion(Motion motion) {
        this.motion = motion;
    }

    // added for Task 4
    public Motion getMotion() {
        return motion;
    }


    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public int getWidth() { return width; }
    public int getHeight() { return height; }

    public void move(int x, int y, int width, int height) { // added x and y

        Point oldPoint = new Point(this.x, this.y);
        Point newPoint = motion.getNextPosition(this, x,y,width, height, oldPoint);

        this.x = (int)newPoint.getX();
        this.y = (int)newPoint.getY();
    }

}
