
/**
 * Added for task 2
 */
public class TextShape extends Shape {

    private String text;
    private Shape shape;

    public TextShape(String text, Shape shape) {

        super(shape.getX(),shape.getY(), shape.getWidth(), shape.getHeight(), shape.getMotion());

        this.text = text;
        this.shape = shape;
    }

    public void move(int x, int y, int width, int height) {
        super.move(x, y, width, height);
        shape.x = this.x;
        shape.y = this.y;
    }

    public void paint(Painter painter) {

        shape.paint(painter);
        painter.drawCenteredText(x + getWidth()/2, y + getHeight()/2, text);

        if (shape.x != x || shape.y != y) throw new RuntimeException("delegate position out of sync!");
    }
}
