import java.awt.*;

public class MockPainter implements Painter {

    private StringBuffer log = new StringBuffer();
    private Color color = Color.black;


    public void append(String s) {
        log.append(s);
    }

    public String toString() {
        return log.toString();
    }

    public void drawRect(int x, int y, int width, int height) {
        append("(rectangle " + x + "," + y + "," + width + "," + height + ")");
    }

    public void drawOval(int x, int y, int width, int height) {
        append("(oval " + x + "," + y + "," + width + "," + height + ")");
    }

    // Added for Task 1
    public void drawImage(int x, int y, Image image) {
        append("(image " + x + "," + y + ")");
    }

    // Added for Task 2
    public void drawCenteredText(int x, int y, String text) {
        append("(centeredText " + x + "," + y + "," + text + ")");
    }


    // Added for Task 4
    public Color getColor() {
        return color;
    }

    // Added for Task 4
    public void setColor(Color c) {
        color = c;
        append("(color " + c);
    }

}
