import java.awt.*;

public interface Painter {
    public void append(String s);

    public String toString();

    public void drawRect(int x, int y, int width, int height);

    public void drawOval(int x, int y, int width, int height);

    // Added for Task 1
    void drawImage(int x, int y, Image image);

    // Added for Task 2
    void drawCenteredText(int x, int y, String text);

    // Added for Task 4
    Color getColor();

    // Added for Task 4
    void setColor(Color c);
}
